//
//  Emitter.h
//  PixelKit
//
//  Copyright (c) 2015 Cesar Parent. All rights reserved.
//

#ifndef __PixelKit__Emitter__
#define __PixelKit__Emitter__

#include "includes.h"
#include "SpriteNode.h"

namespace PixelKit {
	
	class Particle;
	
	class SpriteEmitter : public SpriteNode
	{
	public:
		
		SpriteEmitter(std::string sprite) : SpriteNode(sprite){};
		
		virtual void update(int timeInterval) override;
		
		virtual Particle* emit(int timeInterval) = 0;
	};
}

#endif /* defined(__PixelKit__Emitter__) */
